﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DoughnutChartSmallSlises
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataContext = new List<Data>
            {
                new Data { Label = "Item 1",Value = 400 },
                new Data { Label = "Item 2",Value = 300 },
                new Data { Label = "Item 3",Value = 400 }, 
                new Data { Label = "Item 4",Value = 1 }, 
                new Data { Label = "Item 5",Value = 10 },
            };
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show(xamDoughnutChart1.Rings[0].ArcItems[0].SliceItems.Count.ToString());        
        }

        private void xamDoughnutChart1_Loaded(object sender, RoutedEventArgs e)
        {
            xamDoughnutChart1.Rings[0].ArcItems[0].SliceItems[0].Slice.Background = new SolidColorBrush(Colors.YellowGreen);
        }
    }

    public class Data
    {
        public string Label { get; set; }
        public double Value { get; set; }
    }
}
